SystemOrganization addCategory: #'ICU-Tests-NativeBoost'!

TestCase subclass: #ICUNativeBoostTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ICU-Tests-NativeBoost'!

!ICUNativeBoostTest methodsFor: 'tests' stamp: 'JanVanDeSandt 9/2/2012 15:31'!
testLoadSymbol

	| module1 module2 suffix handle |
	
	module1 := ICUModules default commonModule.
	module2 := ICUModules default i18nModule.
	suffix := ICUModules default versionSuffix.
	
	#( ucal_getDefaultTimeZone uloc_getDefault ) do: [ :each |
		handle := NativeBoost loadSymbol: each, suffix fromModule: module1.
		handle isNil
			ifTrue: [ handle := NativeBoost loadSymbol: each, suffix fromModule: module2 ].
		self assert: handle notNil ]
! !

!ICUNativeBoostTest methodsFor: 'tests' stamp: 'JanVanDeSandt 8/31/2012 18:33'!
testPointerAdd

	| buffer buf2 |
	
	buffer := NativeBoost allocate: 100.
	0 to: 99 do: [ :i | buffer byteAt: i put: i * 2 ].
	
	buf2 := NBExternalAddress value: buffer value + 10.
	self assert: (buf2 byteAt: 0) = 20.
	self assert: (buf2 byteAt: 1) = 22.
	
	buffer free.

! !
